Subject: [v6ops] Adoption call for draft-boucadair-6man-prefix-routing-reco

From: [email-masked]
Date: Sun, 4 Jan 2015 11:02:00 -0800

Are we agreed that draft-boucadair-6man-prefix-routing-reco should
be adopted as a working group document in v6ops, and renamed
draft-ietf-v6ops-cidr-prefix?

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 05 Jan 2015 11:11:38 +1300

> draft-ietf-v6ops-cidr-prefix?

Works for me. At least two changes to the text are needed, IMHO:

1. A brief historical reminder of what CIDR is, with a reference.

2. An explicit quote of the sentence in the IPv6 addressing architecture,
which in principle is already quite clear on the topic:

  "IPv6 unicast addresses are aggregatable with prefixes of arbitrary
   bit-length, similar to IPv4 addresses under Classless Inter-Domain
   Routing." [Section 2.5 of RFC4291]

      Brian

---

From: <[email-masked]>
Date: Tue, 6 Jan 2015 10:54:19 +0000

Hi Brian,

Thank you for the comments. 

Please see inline.

Cheers,
Med

-----Message d'origine-----
De : v6ops [mailto:[email-masked]] De la part de Brian E Carpenter
Envoyé : dimanche 4 janvier 2015 23:12
À : [email-masked]; [email-masked]
Objet : Re: [v6ops] Adoption call for draft-boucadair-6man-prefix-routing-reco

[Med] I suggest to add this sentence: 

   A historical reminder of Classless Inter-Domain Routing (CIDR,
   [RFC4632]) is documented in [I-D.iab-ipversion7] and [RFC1380].

Citing the IAB document is sufficient IMHO. 

[Med] Done in my local copy.

      Brian

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 07 Jan 2015 08:38:25 +1300

Hi Med,

> Citing the IAB document is sufficient IMHO. 

Hmm. While draft-iab-ipversion7-00 was the document that triggered my
own original interest in the IETF (and quite a few other more important
events), I think it might be mildly controversial even to this day. Actually
what it says about CIDR was important, but that's not what people
remember.

> [Med] Done in my local copy.

Thanks
   Brian

---

From: <[email-masked]>
Date: Wed, 7 Jan 2015 06:54:56 +0000

Hi Brian,

If you think citing the IAB document as a historical reminder this is controversial, I suggest to maintain [RFC1380] but replace the IAB document with "Section 2 of [RFC4632]".

Cheers,
Med

-----Message d'origine-----
De : Brian E Carpenter [mailto:[email-masked]] 
Envoyé : mardi 6 janvier 2015 20:38
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]; [email-masked]
Objet : Re: [v6ops] Adoption call for draft-boucadair-6man-prefix-routing-reco

Hi Med,

Thanks
   Brian